Classes | Namespaces | Macros | Typedefs | Functions
libpagemaker_utils.h File Reference
`#include <cmath>`
`#include <cstdio>`
`#include <memory>`
`#include <string>`
`#include <boost/cstdint.hpp>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include <librevenge/librevenge.h>`

Go to the source code of this file.

## Classes
struct | libpagemaker::PMDDummyDeleter
struct | libpagemaker::PMDStreamException
struct | libpagemaker::EndOfStreamException
struct | libpagemaker::GenericException

## Namespaces
namespace | libpagemaker

## Macros
#define | M_PI 3.14159265358979323846
#define | PMD_ATTRIBUTE_PRINTF(fmt, arg)
#define | PMD_FALLTHROUGH ((void) 0)
#define | PMD_DEBUG_MSG(M)
#define | PMD_DEBUG(M)
#define | PMD_WARN_MSG(M)
#define | PMD_ERR_MSG(M)
#define | PMD_NUM_ELEMENTS(array) sizeof(array)/sizeof(array[0])

## Typedefs
typedef librevenge::RVNGInputStream * | libpagemaker::RVNGInputStreamPtr

## Functions
uint8_t | libpagemaker::readU8 (const RVNGInputStreamPtr &input, bool)
int8_t | libpagemaker::readS8 (const RVNGInputStreamPtr &input, bool)
uint16_t | libpagemaker::readU16 (const RVNGInputStreamPtr &input, bool bigEndian)
int16_t | libpagemaker::readS16 (const RVNGInputStreamPtr &input, const bool bigEndian)
uint32_t | libpagemaker::readU32 (const RVNGInputStreamPtr &input, bool bigEndian)
int32_t | libpagemaker::readS32 (const RVNGInputStreamPtr &input, const bool bigEndian)
uint64_t | libpagemaker::readU64 (const RVNGInputStreamPtr &input, bool bigEndian)
int64_t | libpagemaker::readS64 (const RVNGInputStreamPtr &input, const bool bigEndian)
const unsigned char * | libpagemaker::readNBytes (const RVNGInputStreamPtr &input, const unsigned long numBytes)
void | libpagemaker::skip (const RVNGInputStreamPtr &input, unsigned long numBytes)
void | libpagemaker::seek (const RVNGInputStreamPtr &input, const unsigned long pos)
void | libpagemaker::seekRelative (const RVNGInputStreamPtr &input, const long pos)
unsigned long | libpagemaker::getLength (const RVNGInputStreamPtr &input)

## Macro Definition Documentation

## ◆ M_PI

#define M_PI 3.14159265358979323846

Referenced by libpagemaker::PMDBitmap::getRotation(), libpagemaker::PMDEllipse::getRotation(), libpagemaker::PMDPolygon::getRotation(), libpagemaker::PMDRectangle::getRotation(), libpagemaker::PMDTextBox::getRotation(), libpagemaker::PMDBitmap::getSkew(), libpagemaker::PMDEllipse::getSkew(), libpagemaker::PMDPolygon::getSkew(), libpagemaker::PMDRectangle::getSkew(), libpagemaker::PMDTextBox::getSkew(), and libpagemaker::PMDCollector::paintShape().

## ◆ PMD_ATTRIBUTE_PRINTF

#define PMD_ATTRIBUTE_PRINTF | ( |  | fmt,
|  |  | arg )

## ◆ PMD_DEBUG

#define PMD_DEBUG | ( |  | M | ) |

## ◆ PMD_DEBUG_MSG

#define PMD_DEBUG_MSG | ( |  | M | ) |

Referenced by libpagemaker::PMDCollector::paintShape(), libpagemaker::PMDParser::parseHeader(), libpagemaker::PMDParser::parseTextBox(), libpagemaker::PMDParser::readNextRecordFromTableOfContents(), and libpagemaker::PMDParser::readTableOfContents().

## ◆ PMD_ERR_MSG

#define PMD_ERR_MSG | ( |  | M | ) |

Referenced by libpagemaker::PMDParser::parseColors(), libpagemaker::PMDParser::parseFonts(), libpagemaker::PMDParser::parsePolygon(), libpagemaker::PMDParser::parseShapes(), and libpagemaker::PMDParser::parseTextBox().

## ◆ PMD_FALLTHROUGH

#define PMD_FALLTHROUGH ((void) 0)

## ◆ PMD_NUM_ELEMENTS

#define PMD_NUM_ELEMENTS | ( |  | array | ) | sizeof(array)/sizeof(array[0])

## ◆ PMD_WARN_MSG

#define PMD_WARN_MSG | ( |  | M | ) |